MD_MAX72xx.h File Reference

Main header file for the MD_MAX72xx library. More...

`#include <Arduino.h>`
Include dependency graph for MD_MAX72xx.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | MD_MAX72XX

## Macros

#define | USE_LOCAL_FONT 1
#define | ROW_SIZE 8
| The size in pixels of a row in the device LED matrix array.
#define | COL_SIZE 8
| The size in pixels of a column in the device LED matrix array.
#define | MAX_INTENSITY 0xf
| The maximum intensity value that can be set for a LED array.
#define | MAX_SCANLIMIT 7
| The maximum scan limit value that can be set for the devices.

## Detailed Description

Main header file for the MD_MAX72xx library.

## Macro Definition Documentation

## USE_LOCAL_FONT

#define USE_LOCAL_FONT 1

Set to 1 (default) to enable local font in this library and enable loadChar() and related methods. If the library is just used for graphics some FLASH RAM can be saved by not including the code to process font data. The font file is stored in PROGMEM.